**Last updated**: 23 April 2025 | [**Change log**](/access/products/tokens/changelog/)

# Querying and updating tokens

Find and change the details of your customer's tokens.

## Token inquiry

To retrieve the data stored in a token, send a `GET` request to the `tokens:token` action link returned in the [response](/access/products/tokens/v2/create-a-token#responses) of your [create a token](/access/products/tokens/v2/create-a-token#create-a-token-request) request.

Do this if you want to display the tokenized card details to your customer on a payment page, or if you need the next available action links in order to update your customer's details.

If the token is in a `namespace`, the `namespace` attribute is also returned. To retrieve all tokens in the same `namespace`, you must send a [namespace token inquiry](#token-namespace-inquiry-request) request.

### Token inquiry request

`GET` `https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0NzI0NE1rdUtjMUFJdjYxVnlibWZuUT0ifQ`

Note
No request body is needed for this request.

#### Response

The response status is `200 OK`. You receive links to your next available actions in your response.

Inquire on a card token

```json
{
    "tokenPaymentInstrument": {
        "type": "card/tokenized",
        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0NzI0NE1rdUtjMUFJdjYxVnlibWZuUT0ifQ"
    },
    "tokenId": "9902480679618049603",
    "description": "Test Token Description",
    "tokenExpiryDateTime": "2021-06-24T09:19:35Z",
    "paymentInstrument": {
        "type": "card/masked",
        "cardNumber": "4444********1111",
        "cardHolderName": "Sherlock Holmes",
        "cardExpiryDate": {
            "month": 5,
            "year": 2035
        },
        "billingAddress": {
            "address1": "221B Baker Street",
            "address2": "Marylebone",
            "address3": "Westminster",
            "postalCode": "NW1 6XE",
            "city": "London",
            "state": "Greater London",
            "countryCode": "GB"
        },
        "bin": "444433",
        "brand": "VISA"
    },
    "_links": {
        "tokens:token": {
            "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0NzI0NE1rdUtjMUFJdjYxVnlibWZuUT0ifQ"
        },
        "tokens:description": {
            "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0MWJVbkh1WTFGZExUNXJxc04va1ZoTFVzYW1OU1lxSFE2NHI1c2JkY1pWaSJ9"
        },
        "tokens:cardHolderName": {
            "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0d3ltd21ieGo3TlZLYzRYSkExOUhSdUpLN2N3VVc5WUk3czRUTW1RQ2JLdjFnVXlzakdPSXdWWkRhZkZyUmlMd3c9PSJ9"
        },
        "tokens:cardExpiryDate": {
            "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0d3ltd21ieGo3TlZLYzRYSkExOUhSdUpLN2N3VVc5WUk3czRUTW1RQ2JLdkVpVW5GNnBsZThNTXNQWTRGbzFzTXc9PSJ9"
        },
        "tokens:billingAddress": {
            "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0d3ltd21ieGo3TlZLYzRYSkExOUhSdFpSdXFxbWZlNVl1TkpHZEVvZXN3MTlCU0lmdCtxSTUyVDJSdXlmSTIwM3c9PSJ9"
        },
        "tokens:schemeTransactionReference": {
            "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiSENXWFZQZjNIZ1V3dnpDMElJZS9Zdmc4M0pYM3dDWEJTVnQrWVlacXdDUXFFKzhzaC8xNSs2d3NkTTdFWUFNVU9tdXBmUlZGeVNDY2dPMkhKV2NIcGc9PSJ9"
        },
        "curies": [{
            "href": "https://try.access.worldpay.com/rels/tokens/{rel}.json",
            "name": "tokens",
            "templated": true
        }]
    }
}
```

Inquire on a network card token

```json
{
  "tokenPaymentInstrument": {
    "type": "card/tokenized",
    "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoicFNYbzNBdHN5NFFLbm9GZ2JuWTNLNm1WRllGT2p5R2hnSzlqdE9oVFlQdERaR1ZqMzFMcW05ZzJFNi9hTFRxaCJ9"
  },
  "tokenId": "9925163845344159004",
  "description": "Test Token Description",
  "tokenExpiryDateTime": "2021-06-24T14:12:30Z",
  "paymentInstrument": {
    "type": "card/network+masked",
    "cardNumber": "5454********5454",
    "last4Digits": "5454",
    "networkType": "APPLEPAY",
    "brand": "ECMC",
    "cardExpiryDate": {
      "month": 12,
      "year": 2021
    }
  },
  "_links": {
    "tokens:token": {
      "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoicFNYbzNBdHN5NFFLbm9GZ2JuWTNLNm1WRllGT2p5R2hnSzlqdE9oVFlQdERaR1ZqMzFMcW05ZzJFNi9hTFRxaCJ9"
    },
    "curies": [
      {
        "href": "https://try.access.worldpay.com/rels/tokens/{rel}.json",
        "name": "tokens",
        "templated": true
      }
    ]
  }
}
```

## Token namespace inquiry request

Query the `tokens:tokens` action link from the tokens root resource with the `namespace` as a query parameter.

`GET` `https://try.access.worldpay.com/tokens?namespace=my-namespace`

Note
Replace `my-namespace` in the URL with the token namespace.

Note
No request body is needed for this request.

#### Response

The response status is `200 OK` and you receive an embedded list of tokens in the given namespace. Each token has its own links to its next available actions.

Inquire on a namespaced card token

```json
{
    "_embedded": {
        "tokens": [{
                "tokenPaymentInstrument": {
                    "type": "card/tokenized",
                    "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMVdWVGh3SEFXOUhJaUYwWHhmYW5lY3c9PSJ9"
                },
                "tokenId": "9902480679618049603",
                "description": "Test Token Description",
                "tokenExpiryDateTime": "2021-06-24T14:12:30Z",
                "namespace": "my-namespace",
                "paymentInstrument": {
                    "type": "card/masked",
                    "cardNumber": "4444********1111",
                    "cardHolderName": "Sherlock Holmes",
                    "cardExpiryDate": {
                        "month": 5,
                        "year": 2035
                    },
                    "billingAddress": {
                        "address1": "221B Baker Street",
                        "address2": "Marylebone",
                        "address3": "Westminster",
                        "postalCode": "NW1 6XE",
                        "city": "London",
                        "state": "Greater London",
                        "countryCode": "GB"
                    },
                    "bin": "444433",
                    "brand": "VISA"
                },
                "_links": {
                    "tokens:token": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMVdWVGh3SEFXOUhJaUYwWHhmYW5lY3c9PSJ9"
                    },
                    "tokens:description": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMXBDOGVSd3MydUJMSjVwRzVNanBqbGNxSGsrdytmcWwwRExsS0o3YjNsbkU9In0"
                    },
                    "tokens:cardHolderName": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMUlMK0ljWkcxS3ZuQW02RFh4ZjduaGRRYWhKQXYrcTlLdmdCTW1STGFLZzV3dW82bXo3WENkdTJKRzhmK3AyMjkifQ"
                    },
                    "tokens:cardExpiryDate": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMUlMK0ljWkcxS3ZuQW02RFh4ZjduaFJTdkM0dVZ5SWVwSGhVclE2R1VSNVQ3Z0R1VHFBRmVGbDJqOVl6UEh2aEYifQ"
                    },
                    "tokens:billingAddress": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMUlMK0ljWkcxS3ZuQW02RFh4ZjduaGR6YjhXVHZjclVJZnF4WllKZ0hpQm5RZy9aeVNxMHZKR0N6RXJPclpORGoifQ"
                    },
                    "tokens:schemeTransactionReference": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiT2ZiMC94bFNRb1ZrY0hEbWtmaDFFQXNTTERJYnlXbXpqMU85VTUzK1RnclRVYkZoYjJxaVdqL1N5KzBtTUtTQ0toUHZMSWY5ZWZ1c0xIVE94R0FERkRwcnFYMFZSY2tnbklEdGh5Vm5CNlk9In0"
                    }
                }
            },
            {
                "tokenPaymentInstrument": {
                    "type": "card/tokenized",
                    "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiWmhkSnBTdzdDajlQSDZKVVI1SHhLVDZsM1FPRGxTamRNbjJxQUZ0YjRrM1AwR1pkS2hFUHFMSmFiVmp4ZitXMVdWVGh3SEFXOUhJaUYwWHhmYW5lY3c9PSJ9"
                },
                "tokenId": "9908329580648327627",
                "description": "Test Token Description",
                "tokenExpiryDateTime": "2021-06-24T14:12:26Z",
                "namespace": "my-namespace",
                "paymentInstrument": {
                    "type": "card/masked",
                    "cardHolderName": "John Appleseed",
                    "cardNumber": "1111********4444",
                    "cardExpiryDate": {
                        "month": 5,
                        "year": 2035
                    },
                    "billingAddress": {
                        "address1": "Worldpay",
                        "address2": "1 Milton Road",
                        "address3": "The Science Park",
                        "postalCode": "CB4 0WE",
                        "city": "Cambridge",
                        "state": "Cambridgeshire",
                        "countryCode": "GB"
                    },
                    "bin": "111122",
                    "brand": "VISA"
                },
                "_links": {
                    "tokens:token": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiWmhkSnBTdzdDajlQSDZKVVI1SHhLVDZsM1FPRGxTamRNbjJxQUZ0YjRrM1AwR1pkS2hFUHFMSmFiVmp4ZitXMVdWVGh3SEFXOUhJaUYwWHhmYW5lY3c9PSJ9"
                    },
                    "tokens:description": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiWmhkSnBTdzdDajlQSDZKVVI1SHhLVDZsM1FPRGxTamRNbjJxQUZ0YjRrM1AwR1pkS2hFUHFMSmFiVmp4ZitXMXBDOGVSd3MydUJMSjVwRzVNanBqbGNxSGsrdytmcWwwRExsS0o3YjNsbkU9In0"
                    },
                    "tokens:cardHolderName": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiWmhkSnBTdzdDajlQSDZKVVI1SHhLVDZsM1FPRGxTamRNbjJxQUZ0YjRrM1AwR1pkS2hFUHFMSmFiVmp4ZitXMUlMK0ljWkcxS3ZuQW02RFh4ZjduaGRRYWhKQXYrcTlLdmdCTW1STGFLZzV3dW82bXo3WENkdTJKRzhmK3AyMjkifQ"
                    },
                    "tokens:cardExpiryDate": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiWmhkSnBTdzdDajlQSDZKVVI1SHhLVDZsM1FPRGxTamRNbjJxQUZ0YjRrM1AwR1pkS2hFUHFMSmFiVmp4ZitXMUlMK0ljWkcxS3ZuQW02RFh4ZjduaFJTdkM0dVZ5SWVwSGhVclE2R1VSNVQ3Z0R1VHFBRmVGbDJqOVl6UEh2aEYifQ"
                    },
                    "tokens:billingAddress": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiWmhkSnBTdzdDajlQSDZKVVI1SHhLVDZsM1FPRGxTamRNbjJxQUZ0YjRrM1AwR1pkS2hFUHFMSmFiVmp4ZitXMUlMK0ljWkcxS3ZuQW02RFh4ZjduaGR6YjhXVHZjclVJZnF4WllKZ0hpQm5RZy9aeVNxMHZKR0N6RXJPclpORGoifQ"
                    },
                    "tokens:schemeTransactionReference": {
                        "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiT2ZiMC94bFNRb1ZrY0hEbWtmaDFFQXNTTERJYnlXbXpqMU85VTUzK1RnclRVYkZoYjJxaVdqL1N5KzBtTUtTQ0toUHZMSWY5ZWZ1c0xIVE94R0FERkRwcnFYMFZSY2tnbklEdGh5Vm5CNlk9In0"
                    }
                }
            }
        ]
    },
    "_links": {
        "tokens:tokens": {
            "href": "https://try.access.worldpay.com/tokens{?tokenId,namespace}",
            "templated": true
        },
        "resourceTree": {
            "href": "https://try.access.worldpay.com/rels/tokens/resourceTree.json"
        },
        "curies": [{
            "href": "https://try.access.worldpay.com/rels/tokens/{rel}.json",
            "name": "tokens",
            "templated": true
        }]
    }
}
```

Inquire on a namespaced network card token

```json
{
  "tokenPaymentInstrument": {
    "type": "card/tokenized",
    "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoicFNYbzNBdHN5NFFLbm9GZ2JuWTNLNm1WRllGT2p5R2hnSzlqdE9oVFlQdERaR1ZqMzFMcW05ZzJFNi9hTFRxaCJ9"
  },
  "tokenId": "9925163845344159004",
  "description": "Test Token Description",
  "tokenExpiryDateTime": "2021-06-24T14:12:30Z",
  "namespace": "my-namespace",
  "paymentInstrument": {
    "type": "card/network+masked",
    "cardNumber": "5454********5454",
    "last4Digits": "5454",
    "networkType": "APPLEPAY",
    "brand": "ECMC",
    "cardExpiryDate": {
      "month": 12,
      "year": 2021
    }
  },
  "_links": {
    "tokens:token": {
      "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoicFNYbzNBdHN5NFFLbm9GZ2JuWTNLNm1WRllGT2p5R2hnSzlqdE9oVFlQdERaR1ZqMzFMcW05ZzJFNi9hTFRxaCJ9"
    },
    "curies": [
      {
        "href": "https://try.access.worldpay.com/rels/tokens/{rel}.json",
        "name": "tokens",
        "templated": true
      }
    ]
  }
}
```

br
## Updating token details

To update the details in a token, send a `PUT` request to one of the links returned in the [response](/access/products/tokens/v2/create-a-token#responses) of your [create a token](/access/products/tokens/v2/create-a-token#create-a-token-request) request.

You can update:

* [the token description](#updating-descriptions)
* [the cardholder name](#updating-cardholdername)
* [the card expiry date](#updating-cardexpirydate)
* [the billing address](#updating-billingaddress)
* [the scheme transaction reference](#updating-schemetransactionreference)


Note
You can only update one attribute at a time with a maximum of 10 updates in a rolling 30 day period.

Warning
- You **cannot** update the card number. Instead, you must send a new [create a token](/access/products/tokens/v2/create-a-token) request.
- You **cannot** update card network type tokens.


### Updating descriptions

details
summary
Update description example
Send a `PUT` request to the `tokens:description` action link received in your create a token [response](/access/products/tokens/v2/create-a-token#responses).

#### Request

`PUT``https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0MWJVbkh1WTFGZExUNXJxc04va1ZoTFVzYW1OU1lxSFE2NHI1c2JkY1pWaSJ9`

Request body:


```
"New token description"
```

Include the `description` in the JSON body. The `description` must be within quotation marks (`" "`).

#### Response

The response status is `204 No Content`.

### Updating cardHolderName

details
summary
Update cardHolderName example
Send a `PUT` request to the `tokens:cardHolderName` action link received in your create a token [response](/access/products/tokens/v2/create-a-token#responses).

#### Request

`PUT``https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0d3ltd21ieGo3TlZLYzRYSkExOUhSdUpLN2N3VVc5WUk3czRUTW1RQ2JLdjFnVXlzakdPSXdWWkRhZkZyUmlMd3c9PSJ9`

Request body:


```
"New name"
```

Include the `cardHolderName` in the JSON body. The `cardHolderName` must be within quotation marks (`" "`).

#### Response

The response status is `204 No Content`.

### Updating cardExpiryDate

details
summary
Update cardExpiryDate example
#### Request

Send a `PUT` request to the `tokens:cardExpiryDate` action link received in your create a token [response](/access/products/tokens/v2/create-a-token#responses).

`PUT``https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0d3ltd21ieGo3TlZLYzRYSkExOUhSdUpLN2N3VVc5WUk3czRUTW1RQ2JLdkVpVW5GNnBsZThNTXNQWTRGbzFzTXc9PSJ9`

Request body:


```
{
  "month": 5,
  "year": 2023
}
```

Include both the `month` and `date` in the JSON body.

#### Response

The response status is `204 No Content`.

### Updating billingAddress

details
summary
Update billingAddress example
Send a `PUT` request to the `tokens:billingAddress` action link received in your create a token [response](/access/products/tokens/v2/create-a-token#responses).

#### Request

`PUT``https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0d3ltd21ieGo3TlZLYzRYSkExOUhSdFpSdXFxbWZlNVl1TkpHZEVvZXN3MTlCU0lmdCtxSTUyVDJSdXlmSTIwM3c9PSJ9`

Request body:


```
{
    "address1": "ADDRESS 1",
    "address2": "ADDRESS 2",
    "address3": "ADDRESS 3",
    "postalCode": "TE12 34ST",
    "city": "TEST CITY",
    "state": "TEST STATE",
    "countryCode": "XX"
}
```

You must include all the mandatory parameters in your update `billingAddress` request. See the description of the [create a token](/access/products/tokens/v2/create-a-token#create-a-token-request) request parameters for more information.

Using this request, you can also add a billing address to a token which didn't previously include a billing address.

Warning
You **cannot** partially update a `billingAddress`. You must send the complete `billingAddress` when updating it.

#### Response

The response status is `204 No Content`.

### Updating schemeTransactionReference

details
summary
Update schemeTransactionReference example
Update billingAddress example

Send a `PUT` request to the `tokens:schemeTransactionReference` action link received in your create a token [response](/access/products/tokens/v2/create-a-token#responses).

#### Request

`PUT``https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiSENXWFZQZjNIZ1V3dnpDMElJZS9Zdmc4M0pYM3dDWEJTVnQrWVlacXdDUXFFKzhzaC8xNSs2d3NkTTdFWUFNVU9tdXBmUlZGeVNDY2dPMkhKV2NIcGc9PSJ9`

Request body:


```
"000000000000020005060720116005060"
```

Include the `schemeTransactionReference` in the JSON body. The `schemeTransactionReference` must be within quotation marks (`" "`).

Warning
For compliance with the Merchant Initiated Transaction (MIT) framework you should store the `schemeTransactionReference` created for the first payment. Alternatively, you can store the reference included in the most recent payment. You must consider that you can only make 10 updates in a rolling 30 days.

#### Response

The response status is `204 No Content`.

br
## Deleting tokens

To delete a token, send a `DELETE` request to the token resource reference received in the `tokenPaymentInstrument` object in your create a token [response](/access/products/tokens/v2/create-a-token#responses).

You might want to delete tokens if a customer has closed their account with you, or if the customer no longer wants their card details kept on file.

### Request

`DELETE` `https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0NzI0NE1rdUtjMUFJdjYxVnlibWZuUT0ifQ`

Note
No request body is needed for this request. You can delete tokens of all types.

#### Response

The response status is `204 No Content`.

Warning
This action cannot be undone. Once we've received the request, the token is deleted.

br
## Updating a token with conflicts

To resolve a token with a conflict, send a `PUT` request with no request body to the `tokens:conflicts` action link returned in the [conflict response](/access/products/tokens/v2/create-a-token#responses) when you [created the token](/access/products/tokens/v2/create-a-token#create-a-token-request).

This request replaces all conflicting fields in the existing token with data from your initial token request.

Warning
- The `tokens:conflict` action link is time-limited. Once it expires, it is no longer possible to use this link to update the original token.
- You **cannot** update card network type tokens. The `tokens:conflict` action will not be provided for tokens of this type.


#### Request

Send a `PUT` request to the `tokens:conflicts` link:

`PUT``https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoialRBL0FFelBzcnZpNCtzRGNRemh0ODUrN2hvZ0cyK1JvQ3JKdUtFZnU5UTFsdTdwODVHTUcwYy92VW02MDlJd2pHQllvcW0zanhWQ3p3Zk9OUW9CYUZtQ1hNbFhwM3lhSXlkYVlNYWJnQUdQUHFpRVAxVXVpZHM2Y2tvTjEvOGNJdFQ0WkVlVEJIVWF6T1dlWTlQMkpnPT0ifQ`

Reminder
No request body is needed for this request.

#### Response

The response status is `204 No Content`.

br
## Token ID look up

If you create tokens outside of Access Worldpay, you must use a `tokenId` to look them up. Query the `tokens:tokens` action link from the [tokens root resource](/access/products/tokens/v2/get-started#query-the-tokens-root-resource), with the `tokenId` as a query parameter.

### Token ID look up request

`GET`  `https://try.access.worldpay.com/tokens?tokenId=9902480679618049603`

Note
Replace `9902480679618049603` in the URL with the `tokenId` you're trying to query.

Note
No request body is needed for this request.

### Response

The response status is `200 OK` and you receive an embedded list containing exactly one token, if the token was found. Otherwise, an empty list is returned.

Look up card token by id

```json
{
    "_embedded": {
        "tokens": [{
            "tokenPaymentInstrument": {
                "type": "card/tokenized",
                "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMVdWVGh3SEFXOUhJaUYwWHhmYW5lY3c9PSJ9"
            },
            "tokenId": "9902480679618049603",
            "description": "Test Token Description",
            "tokenExpiryDateTime": "2021-06-24T14:12:30Z",
            "paymentInstrument": {
                "type": "card/masked",
                "cardNumber": "4444********1111",
                "cardHolderName": "Sherlock Holmes",
                "cardExpiryDate": {
                    "month": 5,
                    "year": 2035
                },
                "billingAddress": {
                    "address1": "221B Baker Street",
                    "address2": "Marylebone",
                    "address3": "Westminster",
                    "postalCode": "NW1 6XE",
                    "city": "London",
                    "state": "Greater London",
                    "countryCode": "GB"
                },
                "bin": "444433",
                "brand": "VISA"
            },
            "_links": {
                "tokens:token": {
                    "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMVdWVGh3SEFXOUhJaUYwWHhmYW5lY3c9PSJ9"
                },
                "tokens:description": {
                    "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMXBDOGVSd3MydUJMSjVwRzVNanBqbGNxSGsrdytmcWwwRExsS0o3YjNsbkU9In0"
                },
                "tokens:cardHolderName": {
                    "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMUlMK0ljWkcxS3ZuQW02RFh4ZjduaGRRYWhKQXYrcTlLdmdCTW1STGFLZzV3dW82bXo3WENkdTJKRzhmK3AyMjkifQ"
                },
                "tokens:cardExpiryDate": {
                    "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMUlMK0ljWkcxS3ZuQW02RFh4ZjduaFJTdkM0dVZ5SWVwSGhVclE2R1VSNVQ3Z0R1VHFBRmVGbDJqOVl6UEh2aEYifQ"
                },
                "tokens:billingAddress": {
                    "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiVzFTTDVldnlHZHpaZDQ4Z0hhczRGWEhtU1hZcmdRVVpvLyt2L0lFdkxqRFAwR1pkS2hFUHFMSmFiVmp4ZitXMUlMK0ljWkcxS3ZuQW02RFh4ZjduaGR6YjhXVHZjclVJZnF4WllKZ0hpQm5RZy9aeVNxMHZKR0N6RXJPclpORGoifQ"
                },
                "tokens:schemeTransactionReference": {
                    "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoiSENXWFZQZjNIZ1V3dnpDMElJZS9Zdmc4M0pYM3dDWEJTVnQrWVlacXdDUXFFKzhzaC8xNSs2d3NkTTdFWUFNVU9tdXBmUlZGeVNDY2dPMkhKV2NIcGc9PSJ9"
                }
            }
        }]
    },
    "_links": {
        "tokens:tokens": {
            "href": "https://try.access.worldpay.com/tokens{?tokenId,namespace}",
            "templated": true
        },
        "resourceTree": {
            "href": "https://try.access.worldpay.com/rels/tokens/resourceTree.json"
        },
        "curies": [{
            "href": "https://try.access.worldpay.com/rels/tokens/{rel}.json",
            "name": "tokens",
            "templated": true
        }]
    }
}
```

Look up network card token by id

```json
{
    "_embedded": {
        "tokens": [{
            "tokenPaymentInstrument": {
              "type": "card/tokenized",
              "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoicFNYbzNBdHN5NFFLbm9GZ2JuWTNLNm1WRllGT2p5R2hnSzlqdE9oVFlQdERaR1ZqMzFMcW05ZzJFNi9hTFRxaCJ9"
            },
            "tokenId": "9925163845344159004",
            "description": "Test Token Description",
            "tokenExpiryDateTime": "2021-06-24T14:12:30Z",
            "paymentInstrument": {
              "type": "card/network+masked",
              "cardNumber": "5454********5454",
              "last4Digits": "5454",
              "networkType": "APPLEPAY",
              "brand": "ECMC",
              "cardExpiryDate": {
                "month": 12,
                "year": 2021
              }
            },
            "_links": {
              "tokens:token": {
                "href": "https://try.access.worldpay.com/tokens/eyJrIjoxLCJkIjoicFNYbzNBdHN5NFFLbm9GZ2JuWTNLNm1WRllGT2p5R2hnSzlqdE9oVFlQdERaR1ZqMzFMcW05ZzJFNi9hTFRxaCJ9"
              }
            }
        }]
    },
    "_links": {
        "tokens:tokens": {
            "href": "https://try.access.worldpay.com/tokens{?tokenId,namespace}",
            "templated": true
        },
        "resourceTree": {
            "href": "https://try.access.worldpay.com/rels/tokens/resourceTree.json"
        },
        "curies": [{
            "href": "https://try.access.worldpay.com/rels/tokens/{rel}.json",
            "name": "tokens",
            "templated": true
        }]
    }
}
```

If your token is in a namespace, then `namespace` **must** be included as a request parameter.

### Token ID and namespace look up request

`GET`  `https://try.access.worldpay.com/tokens?tokenId=9902480679618049603&namespace=my-namespace`

Note
Replace `9902480679618049603` in the URL with the `tokenId` you're trying to query and replace `my-namespace` with the token namespace.

Note
No request body is needed for this request.